## mp3guessenc 0.27.4+dfsg.1

=== tools/Makefile ===
#
# Makefile
#

# common preferences
CC  = gcc
CFLAGS = -Wall -Wextra -O2
LDFLAGS = -s

# no need to change anything below here
#--------------------------------------

SRC0 = strencode.c
OBJ0 = strencode.o

all: $(OBJ0) ../decode.o strencode
make: all

strencode: $(OBJ0) ../decode.o
strencode.o: strencode.c

clean:
	rm -f $(OBJ0) strencode
	
distclean: clean

=== debian/changelog ===
mp3guessenc (0.27.4+dfsg.1-03) unstable; urgency=low

  * Standards now 4.4.1  (compat & Rules-Require-Root)
  * Use $(CC) instead of gcc in build (fixes cross compiles)

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 31 Dec 2019 16:00:00 +0100

mp3guessenc (0.27.4+dfsg.1-02) unstable; urgency=low

  * Initial release. Closes: #868235

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 3 Aug 2019 17:00:00 +0100

=== debian/control ===
Source: mp3guessenc
Section: sound
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Build-Depends: debhelper-compat (=12)
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: http://mp3guessenc.sourceforge.net/

Package: mp3guessenc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utility for analysis of audio mpeg files
 Prints out many details about the mpeg audio stream.
 Supported streams are mpeg 1, mpeg 2 and
 unofficial mpeg 2.5 - layers I, II & III.

=== debian/rules ===
#!/usr/bin/make -f
#

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# dwz breaks build
override_dh_dwz:

%:
	dh $@

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
http://sf.net/mp3guessenc/mp3guessenc-([0-9.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mp3guessenc 0.27.5+dfsg.1

=== tools/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 #
 
 # common preferences
-CC  = gcc
-CFLAGS = -Wall -Wextra -O2
-LDFLAGS = -s
+CC = gcc
+CFLAGS += -Wall -Wextra -O2
+LDFLAGS += -s
 
 # no need to change anything below here
 #--------------------------------------

=== debian/changelog ===
mp3guessenc (0.27.5+dfsg.1-2) unstable;  urgency=medium

  * Switch from "fgrep" to "grep -F" in autopkgtests, as the former is
    officially deprecated since grep 3.8, writing a deprecation message on
    stderr that is considered as autopkgtest failure.
      (closes: #1019300)  [ Pino Toscano ]
  * Add content rating to Appstream metadata
  * Standards now 4.6.1 (no changes)

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 07 Sep 2022 12:00:00 +0100

mp3guessenc (0.27.5+dfsg.1-1) unstable; urgency=medium

  * New upstream version
  * Standards now 4.5.0  (compat & --as-needed)
  * Clean up rules file
  * Add AppStream metadata
  * Add autopkgtest
  * Build debug symbols package

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 20 Sep 2020 20:50:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
-Build-Depends: debhelper-compat (=12)
+Build-Depends: debhelper-compat (=13)
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
-Homepage: http://mp3guessenc.sourceforge.net/
+Standards-Version: 4.6.1
+Homepage: https://mp3guessenc.sourceforge.io/
 
 Package: mp3guessenc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -g

%:
	dh $@

## mp3guessenc 0.27.6~beta+dfsg

=== Makefile ===
#
# Makefile
#
# If you wish, you can edit to suit your system.
#

# choose build type
BUILD = release
#BUILD = debug

# choose the target OS - `other' is good for both *nix, win32 systems and haiku
# 64 bit as well.
# NOTE: in haiku 32 bit with gcc2 some options need to be avoided since the compiler
# is quite old (gcc-2.95.3), with newer gcc the selected options won't raise any
# issue. If uncertain, select `haiku32_gcc2'
# UPDATE: the most recent nightly builds of haiku 32 bit adopted a different
# compiler naming scheme after suppressing the `setgcc' utility. Now gcc2 is
# called `gcc' and newer gcc is called `gcc-x86' and this Makefile is smart enough
# to set the right compiler name for you.
TARGET_OS = other
#TARGET_OS = haiku32_gcc2
#TARGET_OS = haiku32_gcc4

# here you can edit the installation path (only one will be used)
# On *nix systems you may want to have mp3guessenc installed under /usr/local
# In Haiku it is useful to put executables under /boot/home/config/non-packaged
PREFIX = /usr/local
#PREFIX = /boot/home/config/non-packaged

# common preferences
CC = gcc
#CC = tcc
#CC = clang
CFLAGS += -Wall
LDFLAGS +=
LIBS =

# no need to change anything below here
#--------------------------------------

# is make running into windows?
ifdef SYSTEMROOT
  BIN_EXT = .exe
  CFLAGS += -march=i686 -mtune=generic
else
  BIN_EXT =
endif

ifeq ($(TARGET_OS),haiku32_gcc4)
  ifeq ($(CC),gcc)
    CC = gcc-x86
  endif
endif

ifneq ($(TARGET_OS),haiku32_gcc2)
  CFLAGS += -Wextra -fsingle-precision-constant
endif

ifeq ($(BUILD),release)
  CFLAGS += -O2
  LDFLAGS += -s
else
  CFLAGS += -g
  ifneq ($(TARGET_OS),haiku32_gcc2)
    CFLAGS += -fno-stack-protector
  endif
endif

SRC0 = mp3guessenc.c bit_utils.c tags.c decode.c
OBJ0 = mp3guessenc.o bit_utils.o tags.o decode.o

all: $(OBJ0) mp3guessenc
make: all

mp3guessenc: $(OBJ0)
	$(CC) $(LDFLAGS) -o mp3guessenc$(BIN_EXT) $(OBJ0) $(LIBS)

mp3guessenc.o: mp3guessenc.c mp3guessenc.h bit_utils.h tags.h decode.h scrambled.h mp3g_io_config.h
bit_utils.o: bit_utils.c bit_utils.h mp3g_io_config.h
tags.o: tags.c tags.h mp3guessenc.h mp3g_io_config.h
decode.o: decode.c

install:
	mkdir -p $(PREFIX)/bin
	cp -v -f mp3guessenc$(BIN_EXT) $(PREFIX)/bin/

clean:
	rm -f $(OBJ0) mp3guessenc$(BIN_EXT)

distclean: clean

uninstall:
	rm $(PREFIX)/bin/mp3guessenc$(BIN_EXT)

=== debian/changelog ===
mp3guessenc (0.27.6~beta+dfsg-1) unstable; urgency=medium

  * New upstream version
     (updated ID3v1 detection routine)
  * Standards now 4.6.2

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 20 Nov 2023 15:37:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
 Build-Depends: debhelper-compat (=13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://mp3guessenc.sourceforge.io/
+Vcs-Browser: https://salsa.debian.org/debian/mp3guessenc
+Vcs-Git: https://salsa.debian.org/debian/mp3guessenc.git
 
 Package: mp3guessenc
 Architecture: any
